[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#578777: marked as done (b43-fwcutter: Fails to determine unsupported PCI IDs)



Your message dated Sun, 25 Apr 2010 22:17:11 +0000
with message-id <E1O6A8V-0001vG-Ih@ries.debian.org>
and subject line Bug#578777: fixed in b43-fwcutter 1:013-1
has caused the Debian Bug report #578777,
regarding b43-fwcutter: Fails to determine unsupported PCI IDs
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact owner@bugs.debian.org
immediately.)


-- 
578777: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=578777
Debian Bug Tracking System
Contact owner@bugs.debian.org with problems
--- Begin Message ---
Package: b43-fwcutter
Version: 1:013~git20100413-2
Severity: normal
Tags: patch

Hi,

The PCI ID checks performed by the firmware-b43-installer,
firmware-b43legacy-installer and firmware-b43-lpphy-installer packages
are effectively skipped, as the PCI device and vendor codes are not
requested during post-installation.

The expected input for the cut commands (used to acquire the device
code) also requires use of grep's only-matching option.  Attached is a
patch amending both areas in each postinst file.

Geoff

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-4-686 (SMP w/1 CPU core)
Locale: LANG=en_AU.UTF-8, LC_CTYPE=en_AU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages b43-fwcutter depends on:
ii  libc6                         2.10.2-6   Embedded GNU C Library: Shared lib

b43-fwcutter recommends no packages.

b43-fwcutter suggests no packages.

-- debconf information excluded
diff -Nru b43-fwcutter-013~git20100413/debian/firmware-b43-installer.postinst b43-fwcutter-013~git20100413/debian/firmware-b43-installer.postinst
--- b43-fwcutter-013~git20100413/debian/firmware-b43-installer.postinst	2010-04-14 04:03:49.000000000 +1000
+++ b43-fwcutter-013~git20100413/debian/firmware-b43-installer.postinst	2010-04-23 01:51:59.000000000 +1000
@@ -12,12 +12,12 @@
 fi
 
 # check chip
-pci=`lspci | grep "14e4:[1234567890]\+"` || true
+pci=`lspci -n | grep -o "14e4:[1234567890]\+"` || true
 if [ -n "$pci" ]; then
 	if [ "`echo $pci | cut -d: -f2`" = "4301" ] || \
            [ "`echo $pci | cut -d: -f2`" = "4306" ] || \
            [ "`echo $pci | cut -d: -f2`" = "4320" ]; then
-		echo "Not supported card here (PCI id $pci!"
+		echo "Not supported card here (PCI id $pci)!"
 		echo "Use b43legacy firmware."
 		echo "Aborting."
 		exit 1
diff -Nru b43-fwcutter-013~git20100413/debian/firmware-b43legacy-installer.postinst b43-fwcutter-013~git20100413/debian/firmware-b43legacy-installer.postinst
--- b43-fwcutter-013~git20100413/debian/firmware-b43legacy-installer.postinst	2010-04-14 04:03:52.000000000 +1000
+++ b43-fwcutter-013~git20100413/debian/firmware-b43legacy-installer.postinst	2010-04-23 01:52:05.000000000 +1000
@@ -3,12 +3,12 @@
 set -e
 
 # check chip
-pci=`lspci | grep "14e4:[1234567890]\+"` || true
+pci=`lspci -n | grep -o "14e4:[1234567890]\+"` || true
 if [ -n "$pci" ]; then
         if [ "`echo $pci | cut -d: -f2`" != "4301" ] || \
            [ "`echo $pci | cut -d: -f2`" != "4306" ] || \
            [ "`echo $pci | cut -d: -f2`" != "4320" ]; then
-                echo "Not supported card here (PCI id $pci!"
+                echo "Not supported card here (PCI id $pci)!"
                 echo "Use b43 firmware. This is just for the b43legacy driver."
                 echo "Aborting."
                 exit 1
diff -Nru b43-fwcutter-013~git20100413/debian/firmware-b43-lpphy-installer.postinst b43-fwcutter-013~git20100413/debian/firmware-b43-lpphy-installer.postinst
--- b43-fwcutter-013~git20100413/debian/firmware-b43-lpphy-installer.postinst	2010-04-14 04:03:53.000000000 +1000
+++ b43-fwcutter-013~git20100413/debian/firmware-b43-lpphy-installer.postinst	2010-04-23 01:52:13.000000000 +1000
@@ -12,10 +12,10 @@
 fi
 
 # check chip
-pci=`lspci | grep "14e4:[1234567890]\+"` || true
+pci=`lspci -n | grep -o "14e4:[1234567890]\+"` || true
 if [ -n "$pci" ]; then
 	if [ "`echo $pci | cut -d: -f2`" != "4315" ]; then
-		echo "Not supported card here (PCI id $pci!"
+		echo "Not supported card here (PCI id $pci)!"
 		echo "Use proper b43 or b43legacy firmware."
 		echo "Aborting."
 		exit 1

--- End Message ---
--- Begin Message ---
Source: b43-fwcutter
Source-Version: 1:013-1

We believe that the bug you reported is fixed in the latest version of
b43-fwcutter, which is due to be installed in the Debian FTP archive:

b43-fwcutter_013-1.debian.tar.gz
  to contrib/b/b43-fwcutter/b43-fwcutter_013-1.debian.tar.gz
b43-fwcutter_013-1.dsc
  to contrib/b/b43-fwcutter/b43-fwcutter_013-1.dsc
b43-fwcutter_013-1_amd64.deb
  to contrib/b/b43-fwcutter/b43-fwcutter_013-1_amd64.deb
b43-fwcutter_013.orig.tar.bz2
  to contrib/b/b43-fwcutter/b43-fwcutter_013.orig.tar.bz2
firmware-b43-installer_4.150.10.5-3_all.deb
  to contrib/b/b43-fwcutter/firmware-b43-installer_4.150.10.5-3_all.deb
firmware-b43-lpphy-installer_4.174.64.19-3_all.deb
  to contrib/b/b43-fwcutter/firmware-b43-lpphy-installer_4.174.64.19-3_all.deb
firmware-b43legacy-installer_4.178.10.4-3_all.deb
  to contrib/b/b43-fwcutter/firmware-b43legacy-installer_4.178.10.4-3_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 578777@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Rene Engelhard <rene@debian.org> (supplier of updated b43-fwcutter package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 26 Apr 2010 00:03:48 +0200
Source: b43-fwcutter
Binary: b43-fwcutter firmware-b43-installer firmware-b43-lpphy-installer firmware-b43legacy-installer
Architecture: source all amd64
Version: 1:013-1
Distribution: unstable
Urgency: medium
Maintainer: Debian QA Group <packages@qa.debian.org>
Changed-By: Rene Engelhard <rene@debian.org>
Description: 
 b43-fwcutter - Utility for extracting Broadcom 43xx firmware
 firmware-b43-installer - Installer package for firmware for the b43 driver
 firmware-b43-lpphy-installer - Installer package for firmware for the b43 driver (LP-PHY version
 firmware-b43legacy-installer - Installer package for firmware for the b43legacy driver
Closes: 578777
Changes: 
 b43-fwcutter (1:013-1) unstable; urgency=medium
 .
   * QA upload
   * update to official 013
   * fix lspci, thanks Geoff Simmons (closes: #578777)
   * fix debhelper builddep
Checksums-Sha1: 
 33f8a662859f4a8d3d0bf13762927cf85ced3d23 1731 b43-fwcutter_013-1.dsc
 4e22f20e5180a1d3376cf4832419f501dd62b2ba 15359 b43-fwcutter_013.orig.tar.bz2
 976353f57308af6b0fb6cb8e40ece3d302b08f46 5409 b43-fwcutter_013-1.debian.tar.gz
 76a62ddb9336d1c76668d93f29ce8b1c9e9604af 5054 firmware-b43-installer_4.150.10.5-3_all.deb
 124bf3a86aeda757b4114c9822c64f622ad08452 4894 firmware-b43legacy-installer_4.178.10.4-3_all.deb
 0fe9bfbe85a68be5b1f16c4231de6a74d1e7ccf1 5026 firmware-b43-lpphy-installer_4.174.64.19-3_all.deb
 321fc9d8cd207140b147b817c1fe07a2b42791c5 16686 b43-fwcutter_013-1_amd64.deb
Checksums-Sha256: 
 80fe3a0ae26aecc659305c0b1504dfac8cafecdb638f200dd35f5231d3aaa603 1731 b43-fwcutter_013-1.dsc
 d0c5eeb80f600411813365656955369c7740e1344123e72aa1f0ff0fee650aa9 15359 b43-fwcutter_013.orig.tar.bz2
 3a407535c264aa0df5e8a40504c56d318ae88b0740d24e4f60b10c8e516e806b 5409 b43-fwcutter_013-1.debian.tar.gz
 935ae52f389a91f824f5fbf33f0385ad22ded72162472bacb76c2fff459c07a7 5054 firmware-b43-installer_4.150.10.5-3_all.deb
 ab17f6267f6759fa08e2a2f1e2d0b8f0fb94adf0ccd864ea2693c8966af4190d 4894 firmware-b43legacy-installer_4.178.10.4-3_all.deb
 e484ebc0887e918c73f0aa905775ade88a50af1b6a21fe904ed7d6aa96cfe6f3 5026 firmware-b43-lpphy-installer_4.174.64.19-3_all.deb
 86e635b1f7380d08a088132c951f880c14009a9c38059554ef87bc72afe49a0a 16686 b43-fwcutter_013-1_amd64.deb
Files: 
 c60560fee0de434f992efe92911091ca 1731 contrib/utils optional b43-fwcutter_013-1.dsc
 3547ec6c474ac1bc2c4a5bb765b791a4 15359 contrib/utils optional b43-fwcutter_013.orig.tar.bz2
 f410166f5615bf7ac21220dca51ef081 5409 contrib/utils optional b43-fwcutter_013-1.debian.tar.gz
 6a7cfd1692e243ee1b1cfaed88189015 5054 contrib/kernel optional firmware-b43-installer_4.150.10.5-3_all.deb
 75a53e0e6e3051c55639b5d2e6e64d46 4894 contrib/kernel optional firmware-b43legacy-installer_4.178.10.4-3_all.deb
 0a8bcb39db6aa621b3edc97a412fb025 5026 contrib/kernel optional firmware-b43-lpphy-installer_4.174.64.19-3_all.deb
 7a400e6811febdffc95775efccb27f8d 16686 contrib/utils optional b43-fwcutter_013-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJL1LxhAAoJEAqgRXHQPj5wgd4QAKcdUEi0SKVd51l7UR7gQCoz
I8NJ8yhHpAebqnILApiu9WBVm3479uDHKNH04//FrGgMtTMkqKm2XKCfM32SIKd4
YukO7egb19c9XgYXYSO5OH89pTQqDV5dzrgxv8z6Ftn1SF3VwxGeRaLvgvjbCpnN
uleKouIaF3NGenBLdTBT8shf4COKWEqZsJlN6ULo/mDyxAHEidJb/Ck5pXce3nu5
gvqQBTNQHVBTuiWfnprXpr2a/tvG5dIq3qzExx4o+E3llLJlzxy8gcA8oyuiZCga
lnnpMtZ5uHAfVneOieJqYi3MJRoSJXpmZxQJmAzRbzteVn1AE0+sHL32X4ySThE4
a+79GyOdjaqwR8lal7rM/WtCKTHOWmYNqyPgZ4sZpNK7ZHmuhii8odaN1lIglOAM
LtVbJp1VJPBWMgXPEoBuX/CyuUuIc0p8XIGCClNXM218dCEPAUl3CPKg9AnEnoko
NMuGFzh1iHipuviq48cNw7ywGcGs4ajxHXAK9sfOvGIbhb1qkCompdGgdJlqc+K+
uNqSwdR1tSkMjlAEdTqe6j7l4xopczTlEDa+qnxMd4VQzqgOH79h7kiswztERZMZ
5nV8Ow2L8qBFoYP3ybdcbhIpvQb8lOxZMBqCHtfQIBeeSr2NkTY5diS3OLWqCEKK
IAAifQ0DPvxLXloYFWOO
=3+4i
-----END PGP SIGNATURE-----



--- End Message ---

Reply to: